# ChangeLog for dev-vcs/rapidsvn
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/dev-vcs/rapidsvn/ChangeLog,v 1.17 2012/10/07 11:20:26 jlec Exp $

*rapidsvn-0.12.1 (07 Oct 2012)

  07 Oct 2012; Justin Lecher <jlec@gentoo.org> -rapidsvn-0.12.1_pre8247.ebuild,
  +rapidsvn-0.12.1.ebuild, +files/rapidsvn-0.12.1-locale.patch,
  +files/rapidsvn-0.12.1-svncpp_link.patch,
  -files/rapidsvn-0.12.1_pre8247-svncpp_link.patch:
  Version Bump, #436412; remove prereleases; honor LINGUAS, #406409

  07 Oct 2012; Pacho Ramos <pacho@gentoo.org> metadata.xml:
  Drop maintainer due retirement, #24135.

  10 Aug 2012; Justin Lecher <jlec@gentoo.org> rapidsvn-0.12.1_pre8247.ebuild:
  Install missing icons, #430648

  07 Jun 2012; Justin Lecher <jlec@gentoo.org> rapidsvn-0.12.0.ebuild,
  rapidsvn-0.12.1_pre8247.ebuild:
  Use append-ccpflags for CPPFLAGS, correct location of icon file

  05 Jun 2012; Justin Lecher <jlec@gentoo.org> rapidsvn-0.12.0.ebuild,
  rapidsvn-0.12.1_pre8247.ebuild:
  Fix for py3 as system ABI, #411621

  04 Jun 2012; Justin Lecher <jlec@gentoo.org> rapidsvn-0.12.0.ebuild,
  rapidsvn-0.12.1_pre8247.ebuild:
  Drop libtool.eclass to make repoman happy

*rapidsvn-0.12.1_pre8247 (04 Jun 2012)

  04 Jun 2012; Justin Lecher <jlec@gentoo.org> +rapidsvn-0.12.1_pre8247.ebuild,
  +files/rapidsvn-0.12.1_pre8247-svncpp_link.patch:
  Snapshot of svn to add a version compatible with svn-1.7*, #398777

  21 May 2012; Samuli Suominen <ssuominen@gentoo.org> rapidsvn-0.12.0.ebuild:
  inherit eutils for make_desktop_entry

  17 Mar 2012; Justin Lecher <jlec@gentoo.org> -files/rapidsvn-0.9.8-sar.patch,
  -files/rapidsvn-sar.patch:
  Cleaned patches

  17 Mar 2012; Justin Lecher <jlec@gentoo.org> -rapidsvn-0.9.6-r1.ebuild,
  rapidsvn-0.12.0.ebuild:
  Dropped old, fixes #313713 & 305365

  17 Mar 2012; Raúl Porcel <armin76@gentoo.org> rapidsvn-0.9.6-r1.ebuild,
  rapidsvn-0.12.0.ebuild:
  Drop sparc keywords

  06 Feb 2012; Justin Lecher <jlec@gentoo.org> rapidsvn-0.12.0.ebuild:
  Remove forced webdav dependency in subversion, reported by Denis Scherbakov

  31 Jan 2012; Justin Lecher <jlec@gentoo.org> -rapidsvn-0.9.8.ebuild,
  -rapidsvn-0.10.0.ebuild, rapidsvn-0.12.0.ebuild, metadata.xml:
  Added myself as maintainer, upgraded to EAPI=4 to drop built_with_use
  (#305365), thanks agostino for the patch #390469; dropped old

  04 Dec 2011; Markos Chandras <hwoarang@gentoo.org> rapidsvn-0.12.0.ebuild:
  Stable on amd64 wrt bug #377737

  20 Nov 2011; Kacper Kowalik <xarthisius@gentoo.org> rapidsvn-0.12.0.ebuild:
  ppc/ppc64 stable wrt #377737

  17 Nov 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org> rapidsvn-0.12.0.ebuild:
  x86 stable wrt bug #377737

  10 Feb 2011; Ulrich Mueller <ulm@gentoo.org> +rapidsvn-0.9.6-r1.ebuild,
  +rapidsvn-0.9.8.ebuild, +files/rapidsvn-0.9.8-sar.patch,
  +rapidsvn-0.10.0.ebuild, +rapidsvn-0.12.0.ebuild, +files/rapidsvn-sar.patch,
  +files/rapidsvn-svncpp_link.patch, +metadata.xml:
  Move package from dev-util to dev-vcs, bug 56967.

  04 Sep 2010; Ryan Hill <dirtyepic@gentoo.org> -rapidsvn-0.9.3.ebuild,
  -rapidsvn-0.9.4.ebuild:
  Drop old versions depending on wxGTK-2.6.

  22 Jun 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
  rapidsvn-0.9.3.ebuild, rapidsvn-0.9.4.ebuild, rapidsvn-0.9.6-r1.ebuild:
  net-misc/neon renamed to net-libs/neon.

  22 Jun 2010; Arfrever Frehtes Taifersar Arahesis <arfrever@gentoo.org>
  rapidsvn-0.9.3.ebuild, rapidsvn-0.9.4.ebuild, rapidsvn-0.9.6-r1.ebuild,
  rapidsvn-0.9.8.ebuild, rapidsvn-0.10.0.ebuild, rapidsvn-0.12.0.ebuild:
  dev-util/subversion renamed to dev-vcs/subversion.

  16 Feb 2010; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.9.6-r1.ebuild,
  rapidsvn-0.9.8.ebuild, rapidsvn-0.10.0.ebuild, rapidsvn-0.12.0.ebuild:
  Removed legacy code, moved checks to pkg_setup, and removed addpredict 
  in 4 latest ebuild versions. Closes bug #305325.

*rapidsvn-0.12.0 (13 Feb 2010)

  13 Feb 2010; Steve Arnold <nerdboy@gentoo.org> +rapidsvn-0.12.0.ebuild:
  Updated to latest upstream release; closes bug #294740.

*rapidsvn-0.10.0 (12 Oct 2009)

  12 Oct 2009; Steve Arnold <nerdboy@gentoo.org> +rapidsvn-0.10.0.ebuild:
  Updated to latest upstream release, closes bug #284730.  Re-enabled the
  neon dav support, but it needs testing (the serf dav support is smooth
  as the proverbial baby's butt...)

  01 Aug 2009; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.9.8.ebuild:
  Added work-around for doxygen sandbox violation (no bug, yet...) due to
  font diddling by latex.  No idea why generating one particular jpg file
  would cause this.

*rapidsvn-0.9.8 (06 Jun 2009)

  06 Jun 2009; Steve Arnold <nerdboy@gentoo.org>
  +files/rapidsvn-0.9.8-sar.patch, +rapidsvn-0.9.8.ebuild:
  Added new version, updated use=doc generation (closes bug #265941).  The
  underlying subversion neon support is dorked up (at least for me) so this
  was tested with webdav-serf against a couple of different local repos.

  17 Sep 2008; Markus Meier <maekke@gentoo.org> rapidsvn-0.9.6-r1.ebuild:
  amd64/x86 stable, bug #237095

  17 Sep 2008; Brent Baude <ranger@gentoo.org> rapidsvn-0.9.6-r1.ebuild:
  stable ppc64, bug 237095

  15 Sep 2008; Brent Baude <ranger@gentoo.org> rapidsvn-0.9.6-r1.ebuild:
  stable ppc, bug 237095

  13 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
  rapidsvn-0.9.6-r1.ebuild:
  Sparc stable --- Bug #237095 --- needed for subversion-1.5.1.

  13 Sep 2008; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.9.6-r1.ebuild:
  Removed harmless configure option (closes bug 230757) in preparation for
  stable request (see bug 237095).

  15 Jun 2008; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild:
  Updated older versions for bug #226427 to use eautoreconf, as well as the
  newer dep layout.

  19 May 2008; Steve Arnold <nerdboy@gentoo.org> +files/rapidsvn-sar.patch:
  re-adding lost patch for gcc warnings (bug #216800).  Thanks to
  Rion <rion@plotinka.ru> for the contributed patch.

*rapidsvn-0.9.6-r1 (17 May 2008)

  17 May 2008; Steve Arnold <nerdboy@gentoo.org> -rapidsvn-0.9.6.ebuild,
  +rapidsvn-0.9.6-r1.ebuild:
  updated for bug #221671

  30 Apr 2008; Benedikt Böhm <hollow@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild, rapidsvn-0.9.6.ebuild:
  update subversion checks wrt #219475

*rapidsvn-0.9.6 (02 Apr 2008)

  02 Apr 2008; Steve Arnold <nerdboy@gentoo.org> +rapidsvn-0.9.6.ebuild:
  Updated to new release and apr prefix, with contributions from Luca 
  Marturana <lucamarturana@gmail.com>.  Smooth as a baby's ...

  10 Jan 2008; Benedikt Böhm <hollow@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild:
  cleanup for bug #203587

  29 Dec 2007; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild:
  updated depends for bug 203587, builds and runs on x86 and amd64

  27 Nov 2007; Raúl Porcel <armin76@gentoo.org> rapidsvn-0.9.4.ebuild:
  sparc stable wrt #186809

  25 Nov 2007; Christian Faulhammer <opfer@gentoo.org>
  rapidsvn-0.9.4.ebuild:
  quote variables and remove die statement for epatch, it will die on its own

  25 Nov 2007; Christian Faulhammer <opfer@gentoo.org>
  rapidsvn-0.9.4.ebuild:
  stable x86, bug 186809

  24 Nov 2007; Samuli Suominen <drac@gentoo.org> rapidsvn-0.9.4.ebuild:
  amd64 stable wrt #186809

  24 Nov 2007; nixnut <nixnut@gentoo.org> rapidsvn-0.9.4.ebuild:
  Stable on ppc wrt bug 186809

  24 Nov 2007; Markus Rothe <corsair@gentoo.org> rapidsvn-0.9.4.ebuild:
  Stable on ppc64; bug #186809

  12 Oct 2007; Ryan Hill <dirtyepic@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild:
  Lock wxGTK to 2.6.

  10 Jul 2007; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild:
  Updated desktop category and added desktop_database_update to pkg_post
  for conformance to desktop policy.

  26 Jun 2007; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild:
  Fixes for bug 180236 as well as desktop and icon fixes.  Set apr deps
  based on subversion and upstream (handle apr-1 correctly).

  08 Apr 2007; Ryan Hill <dirtyepic@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild:
  Don't hardcode wx-config, use wxwidgets.eclass.

  01 Apr 2007; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild:
  Minor correction to apr dep, should resolve bug 169414.

  14 Mar 2007; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild:
  Updated depends and configure for bug 169414.

  05 Mar 2007; Marius Mauch <genone@gentoo.org> rapidsvn-0.9.3.ebuild,
  rapidsvn-0.9.4.ebuild:
  Replacing einfo with ewarn

*rapidsvn-0.9.4 (10 Jan 2007)

  10 Jan 2007; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.9.3.ebuild,
  +rapidsvn-0.9.4.ebuild:
  Minor QA fix and version bump to current stable upstream release.

  08 Sep 2006; Steve Arnold <nerdboy@gentoo.org>
  +files/rapidsvn-svncpp_link.patch, rapidsvn-0.9.3.ebuild:
  Added back svncpp link patch for as-needed bug 146064.

  03 Sep 2006; Mart Raudsepp <leio@gentoo.org>
  -files/rapidsvn-0.9.2-gcc-4.patch, -files/svncpp_0.6.1_link.patch,
  -rapidsvn-0.7.1.ebuild, -rapidsvn-0.8.0.ebuild, -rapidsvn-0.9.0-r1.ebuild,
  -rapidsvn-0.9.2.ebuild:
  Clean out old versions.

  17 Aug 2006; Markus Rothe <corsair@gentoo.org> rapidsvn-0.9.3.ebuild:
  Stable on ppc64

  12 Aug 2006; Jason Wever <weeve@gentoo.org> rapidsvn-0.9.3.ebuild:
  Stable on SPARC.

  09 Aug 2006; Thomas Cort <tcort@gentoo.org> rapidsvn-0.9.3.ebuild:
  Stable on amd64 wrt Bug #134699.

  05 Aug 2006; Michael Hanselmann <hansmi@gentoo.org> rapidsvn-0.9.3.ebuild:
  Stable on ppc.

  01 Aug 2006; Andrej Kacian <ticho@gentoo.org> rapidsvn-0.9.3.ebuild:
  Stable on x86, bug #134699.

  20 Jul 2006; Markus Rothe <corsair@gentoo.org> rapidsvn-0.9.3.ebuild:
  Added ~ppc64; bug #134699

  10 Jul 2006; Gustavo Zacarias <gustavoz@gentoo.org> rapidsvn-0.9.2.ebuild:
  Stable on sparc wrt #134699

*rapidsvn-0.9.3 (05 Jul 2006)

  05 Jul 2006; Steve Arnold <nerdboy@gentoo.org> +rapidsvn-0.9.3.ebuild:
  New version with updated neon support (neon version must be in sync with
  neon DEPEND in subversion) and upstream fixes.  Updated bug #134699.

  01 Jul 2006; Lars Weiler <pylon@gentoo.org> rapidsvn-0.9.2.ebuild:
  Stable on ppc; bug #134699.

  10 Jun 2006; Michael Hanselmann <hansmi@gentoo.org>
  rapidsvn-0.9.0-r1.ebuild:
  Stable on ppc.

  02 Jun 2006; Steve Arnold <nerdboy@gentoo.org>
  +files/rapidsvn-0.9.2-gcc-4.patch, rapidsvn-0.9.2.ebuild:
  Updates for bugs 134978 and 134976; thanks to Gergan Penkov 
  <gpp666_999 at yahoo.de> for the patch.

*rapidsvn-0.9.2 (28 May 2006)

  28 May 2006; Steve Arnold <nerdboy@gentoo.org> -rapidsvn-0.6.0-r1.ebuild,
  -rapidsvn-0.7.0.ebuild, rapidsvn-0.9.0-r1.ebuild, +rapidsvn-0.9.2.ebuild:
  Overdue stable bump and new version (closes bug 125009).  The new version
  finally updates the previously-pegged deps so -> stablize bug coming. Old
  version cleanup.

  28 Jan 2006; Simon Stelling <blubb@gentoo.org>
  -files/nodoc-configure.patch.gz, rapidsvn-0.9.0-r1.ebuild:
  move compressed patches to the mirrors

  16 Dec 2005; Diego Pettenò <flameeyes@gentoo.org>
  rapidsvn-0.9.0-r1.ebuild:
  Move elibtoolize after libtoolize, see bug #106176.

*rapidsvn-0.9.0-r1 (27 Nov 2005)

  27 Nov 2005; Steve Arnold <nerdboy@gentoo.org>
  +files/nodoc-configure.patch, rapidsvn-0.6.0-r1.ebuild,
  rapidsvn-0.7.0.ebuild, rapidsvn-0.7.1.ebuild, rapidsvn-0.8.0.ebuild,
  -rapidsvn-0.9.0.ebuild, +rapidsvn-0.9.0-r1.ebuild:
  Added fix for bug #112081, and removed gtk2 use flag (bug #106560).  Thanks
  to Dan Check <check@radicalmedia.com> for the patch.

  22 Nov 2005; Luis Medinas <metalgod@gentoo.org> rapidsvn-0.8.0.ebuild:
  Stable on amd64.

  11 Nov 2005; Michael Hanselmann <hansmi@gentoo.org> rapidsvn-0.8.0.ebuild:
  Stable on ppc.

*rapidsvn-0.9.0 (08 Nov 2005)

  08 Nov 2005; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.8.0.ebuild,
  +rapidsvn-0.9.0.ebuild:
  version bump to address bug #111354; stable bump for x86

  10 Oct 2005; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.6.0-r1.ebuild,
  rapidsvn-0.7.0.ebuild, rapidsvn-0.7.1.ebuild, rapidsvn-0.8.0.ebuild:
  restricted wxGTK dep to address bug #106763 (not compatible with API over
  version 2.4)

  16 Sep 2005; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.6.0-r1.ebuild,
  rapidsvn-0.7.0.ebuild, rapidsvn-0.7.1.ebuild, rapidsvn-0.8.0.ebuild:
  Added fix for bug #103676 (made neon a hard dep, since with subversion
  it depends on webdav support).  Also stblized older (non-bugged) versions.

*rapidsvn-0.8.0 (31 May 2005)

  31 May 2005; Steve Arnold <nerdboy@gentoo.org> rapidsvn-0.7.0.ebuild,
  rapidsvn-0.7.1.ebuild, +rapidsvn-0.8.0.ebuild:
  All newer versions fixed (really fixes bug 62724) and version bump (bug 90895)
  time to start stablizin'!

*rapidsvn-0.6.0-r1 (31 May 2005)

  31 May 2005; Steve Arnold <nerdboy@gentoo.org>
  +files/svncpp_0.6.1_link.patch, metadata.xml, -rapidsvn-0.6.0.ebuild,
  +rapidsvn-0.6.0-r1.ebuild:
  sStable x86 was broken and this fixes it (closes bug 55569)
  dev-tools herd is also adopting this package (but feel free to keep
  working on stuff or assign bugs to me)

*rapidsvn-0.7.1 (17 Mar 2005)

  17 Mar 2005; David Holm <dholm@gentoo.org> rapidsvn-0.7.0.ebuild,
  +rapidsvn-0.7.1.ebuild:
  Version bumped
  Added icon and desktop entry

*rapidsvn-0.7.0 (04 Dec 2004)

  04 Dec 2004; Daniel Black <dragonheart@gentoo.org> -rapidsvn-0.5.0.ebuild,
  +rapidsvn-0.7.0.ebuild:
  Version bump as per bug #73191. Thanks to Richard Cantzler <cantzler@uiuc.edu>

  02 Jun 2004; David Holm <dholm@gentoo.org> +metadata.xml,
  rapidsvn-0.6.0.ebuild:
  Version bump, added metadata.xml.

  17 May 2004; Jason Wever <weeve@gentoo.org> rapidsvn-0.5.0.ebuild:
  Added ~sparc keyword.

  27 Apr 2004; Paul de Vrieze <pauldv@gentoo.org> -rapidsvn-0.3.0.ebuild:
  Remove old version as the needed subversion build has been removed

  29 Mar 2004; David Holm <dholm@gentoo.org> rapidsvn-0.5.0.ebuild:
  RapidSVN 0.5.0 works with subversion 1.0*.

  01 Mar 2004; David Holm <dholm@gentoo.org> rapidsvn-0.5.0.ebuild:
  Added to ~ppc.

  18 Feb 2004; Brian Jackson <iggy@gentoo.org> rapidsvn-0.5.0.ebuild:
  changed dep to be svn-0.37*

*rapidsvn-0.5.0 (08 Feb 2004)

  08 Feb 2004; Brian Jackson <iggy@gentoo.org> rapidsvn-0.5.0.ebuild:
  version bump, thanks to jaalexATjasonalexander.us

  17 Oct 2003; <iggy@gentoo.org> rapidsvn-0.2.0.ebuild:
  remove old versions that depend on ancient versions of subversion

  16 Oct 2003; <iggy@gentoo.org> rapidsvn-0.2.0.ebuild, rapidsvn-0.3.0.ebuild:
  should depend on =dev-util/subversion-0.28.0, thanks to Martin Ehmsen for the
  heads up, fixes bug 31181

*rapidsvn-0.3.0 (01 Sep 2003)

  01 Sep 2003; <iggy@gentoo.org> rapidsvn-0.3.0.ebuild:
  version bump, needs the latest versoin of subversion

*rapidsvn-0.2.0 (19 Aug 2003)

  19 Aug 2003; <iggy@gentoo.org> metadata.xml, rapidsvn-0.2.0.ebuild:
  new package, fixes bug 25422, thanks to keanu@keanu.be
